kind: pipeline
type: docker
name: default
steps:

  - name: build
    image: plugins/docker
    settings:
      username:
        from_secret: reg_user
      password:
        from_secret: reg_password
      registry: dockerreg.gltronic.ovh
      repo: dockerreg.gltronic.ovh/nexusv7

  - name: deploy
    image: appleboy/drone-ssh
    settings:
      host:
        from_secret: deploy_host
      username: 
        from_secret: deploy_user
      password:
        from_secret: deploy_password
      port: 22
      script:
        - cd docker/perso
        - docker-compose pull nexusv7
        - docker-compose up -d nexusv7